
ChiliProject - Bug # 558: Reduce version information from Help link

Status: Closed Priority: Normal
Author: Holger Just Category:
Created: 2011-08-05 Assignee: Holger Just
Updated: 2012-01-16 Due date:
Remote issue URL:
Affected version:
Description: In #101, we introduced detailed version information about the current instance to the help link.

This information is visible to everyone â€“ even for not authenticated users â€“ and might help bad guys to 
gather environmental information for targeted attacks. To mitigate this issue while still allowing targeted help 
later, I propose to reduce the version information there to only the major version.

<pre>https://www.chiliproject.org/help/v#{Redmine::VERSION::MAJOR.to_s}</pre>

Thoughts?

Associated revisions
2012-01-16 01:08 pm - Holger Just 
[#558] Reduce version info in help link

History
2011-12-18 04:42 pm - Holger Just
- Target version set to 3.0.0

Bumping this up. I'd really like to see that in version:3.0.0.

Thoughts?

2011-12-28 12:25 am - Eric Davis
Seeing as there isn't very much documentation written for each minor version, that's fine. (If you recall we were planning to keep mirrors of the docs for 
each version which is why the link is exact.)

2012-01-16 12:31 pm - Holger Just
- Assignee set to Holger Just

- Status changed from Open to Closed

Yeah, well it turned out we were a bit over-ambitious. And given that there are not many major changes in minor releases, it doesn't really require us to 
have that exact information.

Applied in commit:dbbc0b4
